%define upstream_name    Tcl
%define upstream_version 1.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Complete access to Tcl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(tcl)
BuildRequires: perl-devel
%description
The Tcl extension module gives access to the Tcl library with functionality
and interface similar to the C functions of Tcl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -fr tcl-core

%build
%__perl Makefile.PL INSTALLDIRS=vendor \
	--nousestubs 
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Mon Jan 27 2025 tv <tv> 1.510.0-1.mga10
+ Revision: 2142705
- update to 1.51

* Sat Jan 25 2025 tv <tv> 1.500.0-1.mga10
+ Revision: 2142209
- update to 1.50

* Thu Aug 22 2024 neoclust <neoclust> 1.320.0-2.mga10
+ Revision: 2088229
- Rebuild against new perl

* Mon Jan 08 2024 tv <tv> 1.320.0-1.mga10
+ Revision: 2028951
- update to 1.32

* Fri Jan 05 2024 tv <tv> 1.310.0-1.mga10
+ Revision: 2027695
- update to 1.31

* Tue Nov 28 2023 tv <tv> 1.270.0-9.mga10
+ Revision: 2010926
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.270.0-8.mga9
+ Revision: 1862433
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.270.0-7.mga9
+ Revision: 1796078
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.270.0-6.mga9
+ Revision: 1727140
- Rebuild for perl 5.34

* Thu Jun 18 2020 pterjan <pterjan> 1.270.0-5.mga8
+ Revision: 1595818
- Fix build command
+ umeabot <umeabot>
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.270.0-4.mga8
+ Revision: 1530115
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.270.0-3.mga8
+ Revision: 1433915
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.270.0-2.mga7
+ Revision: 1293846
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.270.0-1.mga7
+ Revision: 1254040
- update to 1.27

* Wed Aug 08 2018 pterjan <pterjan> 1.100.0-2.mga7
+ Revision: 1249890
- Rebuild for perl 5.28

* Wed Jul 04 2018 shlomif <shlomif> 1.100.0-1.mga7
+ Revision: 1241608
- update to 1.10
+ pterjan <pterjan>
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Wed Aug 02 2017 sander85 <sander85> 1.50.0-1.mga7
+ Revision: 1134116
- update to 1.05

* Sat Jul 22 2017 neoclust <neoclust> 1.40.0-3.mga7
+ Revision: 1126793
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-2.mga6
+ Revision: 1033828
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.40.0-1.mga6
+ Revision: 1002305
- New version 1.04

* Fri Feb 12 2016 umeabot <umeabot> 1.20.0-15.mga6
+ Revision: 958065
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 1.20.0-14.mga6
+ Revision: 886330
- rebuild for new tcl 8.6.4

* Fri Jun 26 2015 tv <tv> 1.20.0-13.mga6
+ Revision: 845306
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.20.0-12.mga6
+ Revision: 840510
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-11.mga5
+ Revision: 744094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-10.mga5
+ Revision: 686330
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.20.0-9.mga5
+ Revision: 631739
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.20.0-8.mga4
+ Revision: 524648
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.20.0-7.mga4
+ Revision: 431349
- do not use stub
- use tcl config
- use tcl config
- fix usage
- build use system tcl

* Wed May 29 2013 fwang <fwang> 1.20.0-5.mga4
+ Revision: 431172
- use tclsh

* Wed May 29 2013 jquelin <jquelin> 1.20.0-4.mga4
+ Revision: 430967
- perl 5.18.0 rebuild

* Sat Mar 30 2013 rtp <rtp> 1.20.0-3.mga3
+ Revision: 406722
- Change buildrequire from tcl to tcl-devel.

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 373117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 1.20.0-1.mga3
+ Revision: 269450
- more fix for format error
- missing buildrequires:
- imported package perl-Tcl

